## pollen 0.40

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Tools for Working with Aerobiological Data
Version: 0.40
Authors@R: person("Jakub", "Nowosad", email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"))
Description: A set of function for working with aerobiological data (e.g. calculation of pollen season limits).
Imports: lubridate, purrr, dplyr
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2016-10-01 23:24:16 UTC; jn
Author: Jakub Nowosad [aut, cre]
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2016-10-02 10:12:36

## pollen 0.50.0

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Tools for Working with Aerobiological Data
Version: 0.50.0
Authors@R: person("Jakub", "Nowosad", email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"))
Description: A set of functions for working with aerobiological data (e.g. calculation of pollen season limits, replacement of outliers).
Imports: lubridate, purrr, dplyr
Suggests: testthat, knitr, rmarkdown
URL: https://github.com/Nowosad/pollen
BugReports: https://github.com/Nowosad/pollen/issues
License: MIT + file LICENSE
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-11-20 15:51:41 UTC; jn
Author: Jakub Nowosad [aut, cre]
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2016-11-20 20:22:15

## pollen 0.52.00

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Analysis of Aerobiological Data
Version: 0.52.00
Authors@R: person("Jakub", "Nowosad", email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"))
Description: Supports analysis of aerobiological data. Available features include determination of pollen season limits, replacement of outliers (Kasprzyk and Walanus (2014) <doi:10.1007/s10453-014-9332-8>), and calculation of growing degree days.
Imports: lubridate, purrr, dplyr
Suggests: testthat, knitr, rmarkdown
URL: https://github.com/Nowosad/pollen
BugReports: https://github.com/Nowosad/pollen/issues
License: MIT + file LICENSE
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-17 01:15:23 UTC; jn
Author: Jakub Nowosad [aut, cre]
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2017-04-17 08:40:52 UTC

## pollen 0.53.00

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pollen
 Type: Package
 Title: Analysis of Aerobiological Data
-Version: 0.52.00
+Version: 0.53.00
 Authors@R: person("Jakub", "Nowosad", email = "nowosad.jakub@gmail.com",
     role = c("aut", "cre"))
 Description: Supports analysis of aerobiological data. Available features include determination of pollen season limits, replacement of outliers (Kasprzyk and Walanus (2014) <doi:10.1007/s10453-014-9332-8>), and calculation of growing degree days.
@@ -14,8 +14,8 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-04-17 01:15:23 UTC; jn
+Packaged: 2017-07-21 19:33:41 UTC; jakub
 Author: Jakub Nowosad [aut, cre]
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-04-17 08:40:52 UTC
+Date/Publication: 2017-07-21 23:03:23 UTC

## pollen 0.70.0

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Analysis of Aerobiological Data
Version: 0.70.0
Authors@R: person("Jakub", "Nowosad", 
    email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-1057-3721"))
Description: Supports analysis of aerobiological data. 
    Available features include determination of pollen season limits, 
    replacement of outliers (Kasprzyk and Walanus (2014) <doi:10.1007/s10453-014-9332-8>),
    and calculation of growing degree days.
Imports: lubridate, purrr, dplyr
Suggests: covr, testthat, knitr, rmarkdown
URL: https://github.com/Nowosad/pollen
BugReports: https://github.com/Nowosad/pollen/issues
License: MIT + file LICENSE
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-25 22:27:21 UTC; jn
Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2018-02-26 00:01:05 UTC

## pollen 0.71.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pollen
 Type: Package
 Title: Analysis of Aerobiological Data
-Version: 0.70.0
+Version: 0.71.0
 Authors@R: person("Jakub", "Nowosad", 
     email = "nowosad.jakub@gmail.com",
     role = c("aut", "cre"),
@@ -17,10 +17,10 @@
 License: MIT + file LICENSE
 LazyData: TRUE
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 NeedsCompilation: no
-Packaged: 2018-02-25 22:27:21 UTC; jn
+Packaged: 2018-10-07 07:39:24 UTC; jn
 Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-02-26 00:01:05 UTC
+Date/Publication: 2018-10-07 07:50:03 UTC

## pollen 0.72.0

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Analysis of Aerobiological Data
Version: 0.72.0
Authors@R: person("Jakub", "Nowosad", 
    email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-1057-3721"))
Description: Supports analysis of aerobiological data. 
    Available features include determination of pollen season limits, 
    replacement of outliers (Kasprzyk and Walanus (2014) <doi:10.1007/s10453-014-9332-8>),
    and calculation of growing degree days (Baskerville and Emin (1969) <doi:10.2307/1933912>).
Depends: R (>= 2.10)
Imports: lubridate, purrr, dplyr
Suggests: covr, ggplot2, knitr, tidyr, rmarkdown, testthat
URL: https://nowosad.github.io/pollen/
BugReports: https://github.com/Nowosad/pollen/issues
License: MIT + file LICENSE
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-03-15 12:45:13 UTC; jn
Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2020-03-15 22:00:08 UTC

## pollen 0.82.0

=== DESCRIPTION ===
Package: pollen
Type: Package
Title: Analysis of Aerobiological Data
Version: 0.82.0
Authors@R: person("Jakub", "Nowosad", 
    email = "nowosad.jakub@gmail.com",
    role = c("aut", "cre"),
    comment = c(ORCID = "0000-0002-1057-3721"))
Description: Supports analysis of aerobiological data. 
    Available features include determination of pollen season limits, 
    replacement of outliers (Kasprzyk and Walanus (2014) <doi:10.1007/s10453-014-9332-8>),
    calculation of growing degree days (Baskerville and Emin (1969) <doi:10.2307/1933912>), 
    and determination of the base temperature for growing degree days
    (Yang et al. (1995) <doi:10.1016/0168-1923(94)02185-M).
Depends: R (>= 2.10)
Imports: lubridate, purrr, dplyr
Suggests: covr, ggplot2, knitr, tidyr, rmarkdown, testthat
URL: https://nowosad.github.io/pollen/
BugReports: https://github.com/Nowosad/pollen/issues
License: MIT + file LICENSE
LazyData: TRUE
VignetteBuilder: knitr
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-12-03 11:19:30 UTC; jn
Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
Repository: CRAN
Date/Publication: 2021-12-03 12:20:02 UTC

## pollen 0.83.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pollen
 Type: Package
 Title: Analysis of Aerobiological Data
-Version: 0.82.0
+Version: 0.83.0
 Authors@R: person("Jakub", "Nowosad", 
     email = "nowosad.jakub@gmail.com",
     role = c("aut", "cre"),
@@ -15,15 +15,17 @@
 Depends: R (>= 2.10)
 Imports: lubridate, purrr, dplyr
 Suggests: covr, ggplot2, knitr, tidyr, rmarkdown, testthat
-URL: https://nowosad.github.io/pollen/
+URL: https://jakubnowosad.com/pollen/
 BugReports: https://github.com/Nowosad/pollen/issues
 License: MIT + file LICENSE
 LazyData: TRUE
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.2
+Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-12-03 11:19:30 UTC; jn
-Author: Jakub Nowosad [aut, cre] (<https://orcid.org/0000-0002-1057-3721>)
+Packaged: 2025-09-30 08:43:14 UTC; jn
+Author: Jakub Nowosad [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-1057-3721>)
 Maintainer: Jakub Nowosad <nowosad.jakub@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-12-03 12:20:02 UTC
+Date/Publication: 2025-09-30 09:00:07 UTC

## pollen 3.4

=== debian/changelog ===
pollen (3.4-0ubuntu1) saucy; urgency=low

  * check_pollen, debian/control:
    - improve the nagios check
    - warn if:
      + insufficient bytes are retrieved
      + less than 5-bits-per-byte of entropy are calculated
      + an out of whack arithmetic mean
    - have pollen server recommend ent, which is used by the nagios check

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 04 Sep 2013 14:25:51 -0500

pollen (3.3-0ubuntu1) saucy; urgency=low

  * pollen-nagios-check:
    - added nagios check script
  * check_pollen, debian/pollen.install:
    - rename check script and install in nagios plugins directory

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 04 Sep 2013 14:25:49 -0500

pollen (3.2-0ubuntu1) saucy; urgency=low

  * README:
    - update design documentation
  * pollinate, pollinate.1:
    - support printing random seed to standard out
    - useful for debugging
    - add a -q|--quiet option to silence log messages
  * pollinate, pollinate.1:
    - add an option for binary data output
  * debian/pollen.default, debian/pollen.upstart, pollen.8, pollen.go:
    - re-enable support for both encrypted and non-encrypted connections
    - use a go subroutine to serve both out of the same process
    - document these changes
    - default to 80 and 443, allow admin to override easily via config
  * debian/control:
    - update package descriptions
  * pollinate:
    - default to, but do not force, https

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 20 Aug 2013 18:56:11 -0500

pollen (3.1-0ubuntu1) saucy; urgency=low

  * pollen.go
    - use a global for the dev writer
    - write a few more timestamps into the mix during the response
      handler
    - change logging verbiage
  * pollinate:
    - use a single temp directory, rather than multiple temp files
    - use a trap to cleanup the temp directory
    - uptdate the logging verbiage
    - use an etc default file if available
  * debian/pollen.default:
    - drop "TCP_" in the TCP_PORT variable
  * pollen.go:
    - just use two timestamps
  * pollinate:
    - improve usability; prepend https
  * debian/pollinate.cron.d, debian/pollinate.default,
    debian/pollinate.upstart, pollinate, pollinate.1:
    - use an upstart job, rather than an @reboot cronjob,
      to do the initial prng seeding
    - fix the default config file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 14 Aug 2013 17:45:22 -0500

pollen (3.0-0ubuntu1) saucy; urgency=low

  * anerd, anerd-server-tcp.1 => anerd-server.1, anerd-server-tcp =>
    anerd-server, anerd-server-tcp.go => anerd-server.go, anerd-server-
    udp.1, anerd-server-udp.c, configure.ac, debian/anerd-
    client.default, debian/anerd-server.anerd-server-tcp.upstart =>
    debian/anerd-server.upstart, debian/anerd-server.anerd-server-
    udp.upstart, debian/anerd-server.default, debian/anerd-
    server.install, debian/anerd-server.manpages, debian/control,
    debian/rules, Makefile.am:
    - completely deprecate the UDP operation of both the client and
      the server
    - the TLS server over TCP is the only supported protocol going
      forward
    - this will necessitate a major version bump
  * anerd.1 => pollinate.1, anerd => pollinate, anerd-server.1 =>
    pollen.8, anerd-server.go => pollen.go, anerd-server => pollen,
    ChangeLog, debian/anerd-client.cron.d => debian/pollinate.cron.d,
    debian/anerd-client.default => debian/pollinate.default,
    debian/anerd-client.install => debian/pollinate.install,
    debian/anerd-client.manpages => debian/pollinate.manpages,
    debian/anerd-client.postinst => debian/pollinate.postinst,
    debian/anerd-client.postrm => debian/pollinate.postrm, debian/anerd-
    server.default => debian/pollen.default, debian/anerd-server.install
    => debian/pollen.install, debian/anerd-server.manpages =>
    debian/pollen.manpages, debian/anerd-server.postinst =>
    debian/pollen.postinst, debian/anerd-server.upstart =>
    debian/pollen.upstart, debian/control, debian/copyright,
    img/anerd_14.png, img/anerd_192.png, img/anerd_64.png,
    img/anerd.png, initramfs/hooks/anerd-client-udp,
    initramfs/scripts/init-bottom/anerd, NEWS, README, === removed
    directory initramfs, === removed directory initramfs/hooks, ===
    removed directory initramfs/scripts, === removed directory
    initramfs/scripts/init-bottom:
    - rename anerd server/client to pollen / pollinate
      to reflect that this data is intended to "seed" a random
      number generator
  * debian/control, debian/pollen.manpages:
    - package maintenace for package/project rename
    - move manpage to section 8
  * pollen.8, pollinate, pollinate.1:
    - documentation updated
  * debian/control, pollen.8, pollinate:
    - update some documentation and descriptions
  * img/pollen_14.png, img/pollen_192.png, img/pollen_64.png:
    - added new pollen logos
  * debian/control:
    - drop suggests

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Aug 2013 16:34:42 -0500

anerd (2.4-0ubuntu1) saucy; urgency=low

  * anerd-client-tcp.go:
    - deprecated, use the shell (curl) one for better timestamping
      salt
  * anerd-server-tcp.go:
    - log user-agent and nanosecond timestamp
  * anerd, anerd-server-tcp.go:
    - rename "tip" to "challenge", use for challenge/response
    - verify challenge/response, to ensure personalized communication
  * anerd:
    - use a common logging function throughout
  * anerd-server-tcp.go:
    - open syslog only once
  * anerd, debian/control:
    - lower socat to a suggests, while still requiring curl
    - dynamically check for socat/curl and error appropriately
    - update package description
    - recommend haveged on the server
  * debian/anerd-server.default:
    - do not run the UDP, by default; local admin can enable by
      setting a port in /etc/default/anerd-server
  * anerd, anerd-server-tcp.go, debian/anerd-client.postinst,
    debian/anerd-server.postrm:
    - rename uuid to tag


=== debian/control ===
Source: pollen
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 autoconf,
 automake,
Standards-Version: 3.9.4
Homepage: http://launchpad.net/pollen

Package: pollen
Architecture: amd64 armel armhf i386 x32
Depends: ${misc:Depends}, ${shlibs:Depends}, golang-go
Recommends: haveged, pollinate, ent
Provides: anerd-server
Replaces: anerd-server (<< 3.0)
Breaks: anerd-server (<< 3.0)
Description: Entropy-as-a-Service web server
 Pollen is an Entropy-as-a-Service web server, providing random seeds.
 This can be performed over both cleartext http and encrypted
 https TLS connections.

Package: pollinate
Architecture: all
Depends: ${misc:Depends}, run-one, curl
Suggests: pollen-server, ent
Provides: anerd, anerd-client
Replaces: anerd (<< 3.0), anerd-client (<< 3.0)
Breaks: anerd (<< 3.0), anerd-client (<< 3.0)
Description: Entropy-as-a-Service client
 This client will connect to one or more pollen servers over an optionally
 encrypted connection and exchange entropy.  This is extremely useful to
 seed a system's random number generator, especially in cloud and virtual
 environments.

## pollen 4.11

=== debian/changelog ===
pollen (4.11-0ubuntu1) trusty; urgency=medium

  * pollen_test.go:
    - fix FTBFS
    - hardcode device to /dev/urandom in unit tests, otherwise, our
      entropy starved vm-based builders will fail the unit tests
      and fail the build

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Mar 2014 16:31:50 +0900

pollen (4.10-0ubuntu1) trusty; urgency=low

  * debian/control, debian/pollen.default, pollen.go, usr.bin.pollen:
    - LP: #1293958
    - suggest rng-tools (universe), which is needed to leverage tpm for
      /dev/random entropy
    - change default entropy source for pollen server to /dev/random
    - update inline configuration documentation to reflect reality
    - add rw of /dev/random to our apparmor whitelist

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Mar 2014 16:31:47 +0900

pollen (4.9-0ubuntu1) trusty; urgency=low

  * debian/rules: LP: #1288807
    - fix FTBFS, build using golang 'go build' rather than gccgo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Mar 2014 09:24:48 -0600

pollen (4.8-0ubuntu1) trusty; urgency=low

  [ JuanJo Ciarlante and Dustin Kirkland ]
  * check_pollen:
    - use the new -t|--testing flag, to verify communications with the
      server, runable as a non-privileged user, but not affecting the
      local PRNG

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 28 Feb 2014 11:13:09 -0600

pollen (4.7-0ubuntu1) trusty; urgency=low

  [ John Arbash Meinel ]
  * .gitignore, pollen.go, pollen_test.go:
    - This changes the 'handler' from being just a func() using global
      state to being a struct with local state.
    - It then moves the things like dev and log to being members of the
      struct, with interfaces that let us override them in the test suite.
    - It then adds a bunch of tests about how we handle failures, errors,
      logging, the size flag, etc.
    - The interfaces also mean that we won't try to spam syslog while running
      the test suite.
    - Another small change is that if you do:
         pollen -https-port=""
      Then it won't try to bind to the HTTP port with a cert.
    - Since I'm not the official source for pollen, it helped for testing at
      least the HTTP requests manually.
    - This also fixes the help text for "-size" since it doesn't actually
      change how much content we send on the wire, but how much content we
      read from /dev/urandom (but it adds tests for that fact).
    - go fmt, and some formatting tweaks
    - actually do the right formatting
    - use microsecond timing (ms was always 0)
    - capture the length of time serving requests takes

  [ Dustin Kirkland ]
  * pollen.go:
    - put brackets around request length of time value

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 26 Feb 2014 10:51:06 -0600

pollen (4.6-0ubuntu1) trusty; urgency=low

  [ Caleb Spare ]
  * pollen.go:
    - Require the challenge query-string param to be provided
    - don't create the random device, if it doesn't exist

  [ Dustin Kirkland ]
  * pollen_test.go:
    - update test to handle required challenge string
  * pollen.go:
    - incorporate feedback from Adam Langley
    - catch errors reading the random device
    - add a note as to why we're checksumming the random seed
    - update message when challenge empty

  [ Caleb Spare and Dustin Kirkland ]
  * debian/pollen.upstart, pollen.8, pollen.go:
    - Use flags rather than positional arguments, and plumb bytes argument
      through

  [ Dustin Kirkland and Matt Croydon ]
  * debian/pollen.default, debian/pollen.upstart, pollen.8, pollen.go:
    - add support for specifying the TLS cert and key as command line
      flags

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Feb 2014 23:18:55 -0600

pollen (4.5-0ubuntu1) trusty; urgency=low

  [ Caleb Spare ]
  * pollen.go, pollen_test.go:
    - Bring naming in line with Go conventions
    - Use shorter parameter names for an http.HandlerFunc
    - Remove an unnecessary string conversion
    - Print useful error if wrong arguments are given rather than crashing
    - Don't ignore errors
    - Rename http[s]Port to http[s]Addr for accuracy
    - Handle errors starting the http servers
    - Change some naming in the test
    - Read from the provided device rather than always /dev/urandom

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Feb 2014 14:50:52 -0600

pollen (4.4-0ubuntu1) trusty; urgency=low

  [ Casey Marshall ]
  * debian/control, debian/rules, Makefile, pollen.go, pollen_test.go:
    - add unit tests for pollen server

  [ Dustin Kirkland ]
  * debian/pollen.lintian-overrides:
    - override expected Lintian gripes

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Feb 2014 12:51:51 -0600

pollen (4.3-0ubuntu1) trusty; urgency=low

  * check_pollen:
    - ensure that the nagios script uses the -r|--reseed option

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 17 Feb 2014 09:38:51 -0600

pollen (4.2-0ubuntu1) trusty; urgency=low

  * pollen.go:
    - remove redundant line
  * README:
    - remove deprecated bit of documentation

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Feb 2014 18:04:08 -0600

pollen (4.1-0ubuntu1) trusty; urgency=low

  * debian/control:
    - build on amd64 and i386 only
    - these are the only builds I've been able to confirm when building
      with golang-go
    - note that this undoes the fix for LP: #1274074, but that's the
      way it has to be, until either golang-go supports more architectures
      or gccgo doesn't suck

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Feb 2014 10:11:19 -0600

pollen (4.0-0ubuntu1) trusty; urgency=low

  * check_pollen, debian/control, debian/copyright,
    debian/pollinate.default, debian/pollinate.install,
    debian/pollinate.manpages, debian/pollinate.postinst,
    debian/pollinate.postrm, debian/pollinate.upstart,
    entropy.ubuntu.com.pem, INSTALL, Makefile, pollinate, pollinate.1:
    - split pollen and pollinate into separate projects and packages


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	true

override_dh_installdeb:
	dh_apparmor --profile-name=usr.bin.pollen -ppollen
	dh_installdeb

## pollen 4.12

=== debian/changelog ===
pollen (4.12-0ubuntu1) utopic; urgency=medium

  * debian/control:
    - recommend rng-tools;  we can do this, since pollen is in universe
  * debian/pollen.postinst:
    - minor change to the default self-signed cert;  use 'localhost'
      for the hostname;  this is useful for testing pollinate against
      the localhost with a self-signed cert
  * README:
    - update docs;  pollinate no longer runs daily by default
  * README:
    - update some docs
  * check_pollen:
    - ensure that the nagios check catches log failures

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 18 Mar 2014 22:56:22 +0900

## pollen 4.13

=== debian/changelog ===
pollen (4.13-0ubuntu1) utopic; urgency=medium

  * debian/pollen-restart.upstart, debian/pollen.upstart, debian/rules:
    - LP: #1386052
    - add a new upstart job that restarts pollen any time the rsyslog server
      is restarted
    - this is necessary to work around a bug in the golang syslog library
      where syslog restarts break logging
      + https://code.google.com/p/go/issues/detail?id=2264#c8

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Jul 2014 00:08:55 -0700

=== debian/control ===
Source: pollen
Section: admin
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 dh-apparmor,
 golang-go
Standards-Version: 3.9.4
Homepage: http://launchpad.net/pollen

Package: pollen
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin, ent, adduser
Recommends: pollinate, rng-tools
Suggests: apparmor (>= 2.3)
Provides: anerd-server
Replaces: anerd-server (<< 3.0)
Breaks: anerd-server (<< 3.0)
Description: Entropy-as-a-Service web server
 Pollen is an Entropy-as-a-Service web server, providing random seeds.
 This can be performed over both cleartext http and encrypted
 https TLS connections.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 override_dh_installdeb:
 	dh_apparmor --profile-name=usr.bin.pollen -ppollen
 	dh_installdeb
+
+override_dh_installinit:
+	dh_installinit --name=pollen-restart
+	dh_installinit

## pollen 4.16

=== debian/changelog ===
pollen (4.16-0ubuntu1) vivid; urgency=medium

  [ Matthias Klose ]
  * debian/control:
    - Build everywhere

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 07 Jan 2015 13:06:10 -0600

pollen (4.15-0ubuntu1) vivid; urgency=medium

  [ Didier Roche ]
  * debian/control, debian/pollen.service, debian/rules:
    - Add systemd unit, following similar restart on failure and device
    checking logic
    - Bump Standards-Version

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 07 Jan 2015 13:06:05 -0600

pollen (4.14-0ubuntu1) vivid; urgency=medium

  * pollen.go: LP: #1383738
    - remove SSLv3 support

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 31 Oct 2014 16:31:23 -0500

pollen (4.13-0ubuntu1) vivid; urgency=medium

  * debian/pollen-restart.upstart, debian/pollen.upstart, debian/rules:
    - LP: #1386052
    - add a new upstart job that restarts pollen any time the rsyslog server
      is restarted
    - this is necessary to work around a bug in the golang syslog library
      where syslog restarts break logging
      + https://code.google.com/p/go/issues/detail?id=2264#c8

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 31 Oct 2014 16:08:39 -0500

## pollen 4.20

=== Makefile ===
GO_BUILD=go build
GO_TEST=go test
GO_CLEAN=go clean

all: pollen

pollen: pollen.go
	$(GO_BUILD) -o $@ $<

test: pollen.go pollen_test.go
	$(GO_TEST)

clean:
	$(RM) pollen

.PHONY: all clean test

=== debian/changelog ===
pollen (4.20-0ubuntu1) wily; urgency=medium

  * debian/pollen.upstart: LP: #1505473
    - remove typo in the upstart config which was preventing the service from starting
  * rebuild the packages for upload

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Oct 2015 10:21:15 -0700

pollen (4.19-0ubuntu1) wily; urgency=medium

  * debian/pollen.upstart: LP: #1505473
    - remove typo in the upstart config which was preventing the service from starting

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Oct 2015 10:21:08 -0700

pollen (4.18-0ubuntu1) wily; urgency=medium

  * pollen.go:
    - add the "available"  word to the log

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Sep 2015 15:22:56 -0500

pollen (4.17-0ubuntu1) unstable; urgency=medium

  * debian/pollen.postrm:
    - clear out certificates on purge
  * debian/pollen.default:
    - quote the variable definition, for consistency
  * debian/pollen.postinst:
    - fix ssl cert generation, country must be <2 chars
  * debian/pollen.service:
    - put braces around environment variables; required to work at all
  * pollen.go, usr.bin.pollen:
    - log the entropy bits before and after the transaction

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 02 May 2015 18:39:13 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_strip:
 	true

## pollen 4.21

=== debian/changelog ===
pollen (4.21-5ubuntu5.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 10:59:00 +1000

pollen (4.21-5ubuntu5.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:57:41 +1000

pollen (4.21-5ubuntu5) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:03:30 +0530

pollen (4.21-5ubuntu4) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:25 +1200

pollen (4.21-5ubuntu3) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:22:09 +0000

pollen (4.21-5ubuntu2) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:53:45 +0000

pollen (4.21-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: add breaks/replaces on pollinate 4.33-1 which is when the
      check_pollen script was added to pollinate. Case #9 of package transition.
      [Can be dropped after 20.04]

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Mar 2020 09:26:30 +0200

pollen (4.21-5) unstable; urgency=medium

  * debian/control: use dh12
  * debian/control: set standard to 4.5.0
  * debian/control: add XS-Go-Import-Path:
  * debian/rules: export $HOME

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 28 Mar 2020 19:02:52 +0100

pollen (4.21-4ubuntu2) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: add breaks/replaces on pollinate 4.33-1 which is when the
      check_pollen script was added to pollinate. Case #9 of package transition.
      [Can be dropped after 20.04]
    - export a real HOME directory, to avoid a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 09:16:06 +0200

pollen (4.21-4) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 19 Aug 2019 22:02:52 +0000

pollen (4.21-3ubuntu1) eoan; urgency=medium

  * d/control: add breaks/replaces on pollinate 4.33-1 which is when the
    check_pollen script was added to pollinate. Case #9 of package transition.
    [Can be dropped after 20.04]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 21 May 2019 10:49:37 -0300

pollen (4.21-3) unstable; urgency=medium

  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 20:25:58 +0100

pollen (4.21-2) sid; urgency=medium

  * debian/control: add dependencies
  * debian/postinst: don't touch anymore

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Feb 2019 20:25:58 +0100

pollen (4.21-1) sid; urgency=medium

  * first upload to Debian
  * debian/control: use dh11
  * debian/control: set standard to 4.3.0
  * debian/control: remove anerd mentions
  * debian/copyright: use https for copyright-format-uri
  * debian/rules: dh11 does not allow "--with systemd"
  * remove deprecated upstart init files
  * remove unused overrides

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 05 Feb 2019 18:25:58 +0100

pollen (4.21-0ubuntu1) yakkety; urgency=medium

  * check_pollen:
    - note the number of short bytes in the error log message

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Oct 2015 10:25:58 -0700

=== debian/control ===
Source: pollen
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12)
	, dh-apparmor
	, dh-golang
	, golang-any
Standards-Version: 4.5.0
Homepage: http://launchpad.net/pollen
Vcs-Browser: https://salsa.debian.org/alteholz/pollen
Vcs-Git: https://salsa.debian.org/alteholz/pollen.git
XS-Go-Import-Path: launchpad.net/pollen
Testsuite: autopkgtest-pkg-go

Package: pollen
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
	, libcap2-bin
	, ent
	, adduser
	, openssl
Recommends: pollinate
	, rng-tools
Suggests: apparmor (>= 2.3)
Breaks: pollinate (<< 4.33-1)
Description: Entropy-as-a-Service web server
 Pollen is an Entropy-as-a-Service web server, providing random seeds.
 This can be performed over both cleartext http and encrypted
 https TLS connections.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export HOME=/tmp
+
 %:
-	dh $@ --with systemd
+	dh $@ --with golang
 
 override_dh_strip:
 	true

## pollen 4.22

=== Makefile ===
GO_BUILD=go build
GO_TEST=go test
GO_CLEAN=go clean
GIT_ARCHIVE=git archive

VERSION=4.22
TAG=v4.22

all: pollen

pollen: pollen.go metrics.go
	$(GO_BUILD) -o $@ $^

test: pollen.go pollen_test.go metrics.go metrics_test.go
	$(GO_TEST)

dist: pollen
	git tag $(TAG)
	$(GIT_ARCHIVE) --format=tar --prefix=pollen-$(VERSION)/ $(TAG) | bzip2 > ../pollen-$(VERSION).tar.bz2

clean:
	$(RM) pollen

snap: clean
	export SNAPCRAFT_BUILD_ENVIRONMENT_MEMORY=4G
	export SNAPCRAFT_BUILD_ENVIRONMENT_CPU=4
	export SNAPCRAFT_MAX_PARALLEL_BUILD_COUNT=4
	snapcraft

.PHONY: all clean test

=== debian/changelog ===
pollen (4.22-0ubuntu2) oracular; urgency=medium

  * d/pollen.install: Do not install check_pollen, as that is already
    provided by pollinate, and causes installation failure due to the
    conflict.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 02 Aug 2024 20:09:09 -0700

pollen (4.22-0ubuntu1) oracular; urgency=medium

  * New upstream release 4.22
    - Add Prometheus metrics subsystem
    - Update go packaging to newer standards
    - Add snap packaging
  * d/control, d/rules: Modernize packaging and switch to using the
    debhelper golang build system.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 11 Jul 2024 14:20:22 -0700

=== debian/control ===
Source: pollen
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bryce Harrington <bryce@canonical.com>
Build-Depends: debhelper (>= 13.6~),
 dh-apparmor,
 dh-sequence-golang,
 golang-any,
 golang-github-prometheus-client-golang-dev,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/pollen
XS-Go-Import-Path: github.com/canonical/pollen

Package: pollen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin, ent, adduser
Recommends: pollinate, rng-tools
Suggests: apparmor (>= 2.3)
Provides: anerd-server
Replaces: anerd-server (<< 3.0)
Breaks: anerd-server (<< 3.0)
Description: Entropy-as-a-Service web server
 Pollen is an Entropy-as-a-Service web server, providing random seeds.
 This can be performed over both cleartext http and encrypted
 https TLS connections.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 
-export HOME=/tmp
+GOPATH = $(CURDIR)/_build
+GOCACHE = $(CURDIR)/_build/go-build
+HOME = $(CURDIR)/_build/fakehome
 
 %:
-	dh $@ --with golang
+	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_install:
+	dh_auto_install -- --no-source
 
 override_dh_strip:
 	true
